Package org.pushingpixels.substance.api.painter.overlay

# Class TopBezelOverlayPainter

java.lang.Object
org.pushingpixels.substance.api.painter.overlay.TopBezelOverlayPainter

All Implemented Interfaces:
  `SubstanceOverlayPainter`, `SubstanceTrait`

public final class TopBezelOverlayPainter extends Object implements SubstanceOverlayPainter
Overlay painter that paints a bezel line at the top edge of the relevant decoration area. This class is part of officially supported API.

Since:
  version 5.3

## Constructor Summary

Constructors
Constructor
Description
`TopBezelOverlayPainter(ColorSchemeSingleColorQuery colorSchemeQueryTop, ColorSchemeSingleColorQuery colorSchemeQueryBottom)`
Creates a new overlay painter that paints a bezel line at the top edge of the relevant decoration area

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the display name of `this` trait.
`void`
`paintOverlay(Graphics2D graphics, Component comp, DecorationAreaType decorationAreaType, int width, int height, SubstanceSkin skin)`
Paints the overlay.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TopBezelOverlayPainter

public TopBezelOverlayPainter(ColorSchemeSingleColorQuery colorSchemeQueryTop, ColorSchemeSingleColorQuery colorSchemeQueryBottom)
Creates a new overlay painter that paints a bezel line at the top edge of the relevant decoration area

Parameters:
  `colorSchemeQueryTop` - Used to compute the color of the top line painted by this overlay painter.
  `colorSchemeQueryBottom` - Used to compute the color of the top line painted by this overlay painter.

## Method Details

### paintOverlay

public void paintOverlay(Graphics2D graphics, Component comp, DecorationAreaType decorationAreaType, int width, int height, SubstanceSkin skin)
Description copied from interface: `SubstanceOverlayPainter`
Paints the overlay.

Specified by:
  `paintOverlay` in interface `SubstanceOverlayPainter`
Parameters:
  `graphics` - Graphics context.
  `comp` - Component.
  `decorationAreaType` - Decoration area type. Must not be `null`.
  `width` - Width.
  `height` - Height.
  `skin` - Skin for painting the overlay.

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTrait`
Returns the display name of `this` trait. This method is part of officially supported API.

Specified by:
  `getDisplayName` in interface `SubstanceTrait`
Returns:
  The display name of `this` trait.